> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Delete Prompt Test Cases

> 
Remove multiple test cases in a single request. Use for batch cleanup operations.

Maximum 100 test cases per request.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json delete /api/v2/projects/{project_id}/prompt-datasets/{dataset_id}/test-cases/bulk
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/prompt-datasets/{dataset_id}/test-cases/bulk:
    delete:
      tags:
        - Prompt Datasets
      summary: Bulk Delete Prompt Test Cases
      description: >-

        Remove multiple test cases in a single request. Use for batch cleanup
        operations.


        Maximum 100 test cases per request.
      operationId: delete_bulk_delete_prompt_dataset_test_cases
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                test_case_ids:
                  items:
                    format: uuid
                    type: string
                  title: Test Case Ids
                  type: array
              required:
                - test_case_ids
              title: BulkDeletePromptTestCasesRequest
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties: {}
                title: EmptyResponse
                type: object
          description: EmptyResponse()
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````